# Created by pyp2rpm-3.3.2
%global pypi_name flake8-import-order

Name:           python-%{pypi_name}
Version:        0.18.1
Release:        %mkrel 3
Summary:        Flake8 and pylama plugin that checks the ordering of import statements
Group:          Development/Python
License:        LGPLv3
URL:            https://github.com/PyCQA/flake8-import-order
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A flake8 and Pylama plugin that checks the ordering of your imports. It does
not check anything else about the imports. Merely that they are grouped and
ordered correctly.

In general stdlib comes first, then 3rd party, then local packages, and that
each group is individually alphabetized, however this depends on the style
used. Flake8-Import-Order supports a number of styles and is extensible
allowing for custom styles.

This plugin was originally developed to match the style preferences of the
cryptography project, with this style remaining the default.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(pycodestyle)
BuildRequires:  python3dist(pylama)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pycodestyle)
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A flake8 and Pylama plugin that checks the ordering of your imports. It does
not check anything else about the imports. Merely that they are grouped and
ordered correctly.

In general stdlib comes first, then 3rd party, then local packages, and that
each group is individually alphabetized, however this depends on the style
used. Flake8-Import-Order supports a number of styles and is extensible
allowing for custom styles.

This plugin was originally developed to match the style preferences of the
cryptography project, with this style remaining the default.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf flake8_import_order.egg-info/

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/flake8_import_order
%{python3_sitelib}/flake8_import_order-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.18.1-3.mga8
+ Revision: 1530971
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 0.18.1-2.mga8
+ Revision: 1438020
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 0.18.1-1.mga8
+ Revision: 1435628
- new version 0.18.1
- drop python2 support

* Sat Jan 05 2019 wally <wally> 0.18-3.mga7
+ Revision: 1349779
- rebuild for python3.7

* Thu Nov 01 2018 kekepower <kekepower> 0.18-2.mga7
+ Revision: 1327536
- Requires removed because python3-enum34 doesn't exist

* Thu Nov 01 2018 kekepower <kekepower> 0.18-1.mga7
+ Revision: 1327526
- imported package python-flake8-import-order

